PAR::Filter::Obfuscate(3)

NAME
PAR::Filter::Obfuscate - Obfuscating filter

SYNOPSIS
    PAR::Filter::Obfuscate->apply(\$code); # transforms $code

DESCRIPTION
This filter uses B::Deobfuscate (available separately from CPAN) to turn the script into comment-free, architecture-independent Perl code with mangled variable names.

CAVEATS
A harmless message will be displayed during "pp":

    /tmp/8ycSoLaSI1 syntax OK

Please just ignore it. :-)

SEE ALSO
PAR::Filter, B::Deobfuscate, PAR::Filter::Crypto

AUTHORS
Audrey Tang <cpan@audreyt.org>

You can write to the mailing list at <par@perl.org>, or send an empty mail to <par-subscribe@perl.org> to participate in the discussion.

Please submit bug reports to <bug-par-packer@rt.cpan.org>.

COPYRIGHT
Copyright 2003-2009 by Audrey Tang <cpan@audreyt.org>.

This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.

See LICENSE.